# mnd.conf editing window
proc mndconf {} {
	toplevel .textwindow
	wm title .textwindow "edit mnd.conf"
	frame .textwindow.buttons 
	button .textwindow.save -text save -command writeout
	button .textwindow.exit -text exit -command {destroy .textwindow}
	button .textwindow.help -text help -command {help mndconf.hlp}
	pack .textwindow.save .textwindow.exit .textwindow.help -side left -in .textwindow.buttons 
	pack .textwindow.buttons -side top 

	text .textwindow.text -relief raised -bd 2 -yscrollcommand ".textwindow.scroll set"
	scrollbar .textwindow.scroll -command ".textwindow.text yview"
	pack .textwindow.scroll -side right -fill y 
	pack .textwindow.text -side left 

	set file /etc/mnd.conf

	.textwindow.text delete 1.0 end
	set f [open $file]
	while {![eof $f]} {
		.textwindow.text insert end [read $f 1000]
	}
	close $f
		
}

proc writeout {} {
	set f [open "/etc/mnd.conf.tmp" w]
	set buf X
	set buf [.textwindow.text get 1.0 end]
	puts $f $buf
	close $f
	rm /etc/mnd.conf
	cp /etc/mnd.conf.tmp /etc/mnd.conf
	rm /etc/mnd.conf.tmp
	restart_mnd
}

#proc helpmnd {} {
#	toplevel .help
#	wm title .help "help me please!!!"
#	text .help.textwin
#	pack .help.textwin
#}

