# xmnstat help script
# opens file in hlp subdirectory and displays it in a text box
# with a scrollbar


proc help hlpfile {
	set helpdir /usr/X11/man/xmnhlp/
	toplevel .help
	wm title .help "xmnstat help"
	bind .help <Button-3> {destroy .help}
	text .help.text -relief raised -bd 2 -yscrollcommand ".help.scroll set"
	scrollbar .help.scroll -command ".help.text yview"
	pack .help.scroll -side right -fill y
	pack .help.text -side left
	.help.text delete 1.0 end
	set f [open $helpdir$hlpfile r]
	while {![eof $f]} {
		.help.text insert end [read $f 1000]
	}
	close $f
}
