	proc state {} {
		toplevel .state
		wm title .state "mnd state/debug"

		bind .state <Button> {destroy .state; set DO_STATE NO}

		global state fa coa haroute ident seqno orig_lifetime
		global lifetime_ft reg_timer retry_timer retry_index
		global retry_timeout hint_timer docoa DO_STATE
		set DO_STATE YES

		frame .state.all -relief sunken -borderwidth 4 -width 10c -height 10c
		frame .state.state
			label .state.statetxt -text "mns.state: "
			label .state.stateval -textvariable state
			pack .state.statetxt .state.stateval -in .state.state -side left
		frame .state.fa
			label .state.fatxt -text "mns.fa: "
			label .state.faval -textvariable fa
			pack .state.fatxt .state.faval -in .state.fa -side left
		frame .state.coa
			label .state.coatxt -text "mns.coa: " 
			label .state.coaval -textvariable coa
			pack .state.coatxt .state.coaval -in .state.coa -side left
		frame .state.haroute
			label .state.haroutetxt -text "mns.haroute: "
			label .state.harouteval -textvariable haroute
			pack .state.haroutetxt .state.harouteval -in .state.haroute -side left
		frame .state.ident
			label .state.identxt -text "mns.ident: "
			label .state.identval -textvariable ident
			pack .state.identxt .state.identval -in .state.ident -side left
		frame .state.seqno
			label .state.seqnotxt -text "mns.seqno: "
			label .state.seqnoval -textvariable seqno
			pack .state.seqnotxt .state.seqnoval -in .state.seqno -side left
		frame .state.orig_lifetime
			label .state.orig_lifetxt -text "mns.orig_lifetime: "
			label .state.orig_lifeval -textvariable orig_lifetime
			pack .state.orig_lifetxt .state.orig_lifeval -in .state.orig_lifetime -side left
		frame .state.lifetime_ft
			label .state.lifetime_ftxt -text "lifetime flag/timer: "
			label .state.lifetime_ftval -textvariable lifetime_ft
			pack .state.lifetime_ftxt .state.lifetime_ftval -in .state.lifetime_ft -side left
		frame .state.reg_timer
			label .state.reg_timertxt -text "reg_timer flag/timer: "
			label .state.reg_timerval -textvariable reg_timer
			pack .state.reg_timertxt .state.reg_timerval -in .state.reg_timer -side left
		frame .state.retry_timer
			label .state.retry_timertxt -text "retry_timer flag/timer: "
			label .state.retry_timerval -textvariable retry_timer
			pack .state.retry_timertxt .state.retry_timerval -in .state.retry_timer -side left
		frame .state.retry_index
			label .state.retry_indextxt -text "retry index value: "
			label .state.retry_indexval -textvariable retry_index
			pack .state.retry_indextxt .state.retry_indexval -in .state.retry_index -side left
		frame .state.retry_timeout
			label .state.retry_timeoutxt -text "retry timeout count since ack: "
			label .state.retry_timeoutval -textvariable retry_timeout
			pack .state.retry_timeoutxt .state.retry_timeoutval -in .state.retry_timeout -side left
		frame .state.hint_timer
			label .state.hint_timertxt -text "hint timer flag/timer: "
			label .state.hint_timerval -textvariable hint_timer
			pack .state.hint_timertxt .state.hint_timerval -in .state.hint_timer -side left
		frame .state.docoa
			label .state.docoatxt -text "docoa flag: "
			label .state.docoaval -textvariable docoa
			pack .state.docoatxt .state.docoaval -in .state.docoa -side left

		pack .state.state .state.fa .state.coa .state.haroute -in .state.all
		pack .state.ident .state.seqno .state.orig_lifetime -in .state.all
		pack .state.lifetime_ft .state.reg_timer .state.retry_timer -in .state.all
		pack .state.retry_index .state.retry_timeout .state.hint_timer .state.docoa -in .state.all

		pack .state.all
		after 1000 update_state
	}

	proc update_state {} {
		global state fa coa haroute ident seqno orig_lifetime
		global lifetime_ft reg_timer retry_timer retry_index
		global retry_timeout hint_timer docoa DO_STATE STATE_DEBUG

		if {$DO_STATE == "NO"} {
			return
		}
		set state_values [split [get_mnd_info $STATE_DEBUG] |]
		set state [lindex $state_values 0]
		set fa [lindex $state_values 1]
		set coa [lindex $state_values 2]
		set haroute [lindex $state_values 3]
		set ident [lindex $state_values 4]
		set seqno [lindex $state_values 5]
		set orig_lifetime [lindex $state_values 6]
		set lifetime_ft [lindex $state_values 7]
		set reg_timer [lindex $state_values 8]
		set retry_timer [lindex $state_values 9]
		set retry_index [lindex $state_values 10]
		set retry_timeout [lindex $state_values 11]
		set hint_timer [lindex $state_values 12]
		set docoa [lindex $state_values 13]
		after 1000 update_state
	}
